EN
 
Last updated: Apr 2016

UTRADE Web

Basic Configurations Requirements to Run UTRADE Online Trading Platform

Processors: Central Processor Unit 2GHz or above
Memory: 1GB or above
Network Connection: Broadband installed
 
HTML 5 version

Operating System

Support

Windows 10 Yes
Windows 8 Yes
Windows 7 Yes
Windows XP Yes
MAC OS X (10.7 or above) No
 

Browser

Real-time Streaming Users

Non Real-time Streaming Users

Microsoft Edge Yes Yes
IE 11.0 or above Yes Yes
Google Chrome 45 or above Yes Yes
Firefox 43 or above Yes Yes
Safari 9 Yes Yes
 
 
Java version

Operating System

Support

Windows 10 Yes
Windows 8 Yes
Windows 7 Yes
Windows XP Yes
MAC OS X No
 

Browser

Support

Microsoft Edge Yes
IE 11.0 or above Yes
Google Chrome Yes
Firefox 10.0 - 52.0 Yes
Safari No
     

Due to different computer settings, clients may need to install different Java versions (JRE versions) to access the online trading platform. Below are our suggestions:

 
   

Windows Operating System

Browser

8   7   XP
IE 8 or above   Java 8^   Java 8^   No
Firefox 10.0 - 52.0   Java 8^   Java 8^   No
Safari 6.0 or above   Java 8^   Java 8^   No
 

After logging into the system, what should clients do if they see the Security Warning and Certificate Pop-up of Java?

^ Please update Java 8 to the latest version. (Update here)

When your Java installation completes, you may need to restart your browser (close all browser windows and re-open) to enable the Java installation.

If clients still experience problems with our online trading platform, please call our Client Service Hotline: (852) 2136 1818.

Firewall and Proxy Server Configurations Requirements

Firewall: If a firewall is set at the network, TCP / IP port 80 and 443 must be opened
Proxy Servers: Support various Proxy Servers
   
 

UTRADE Mobile

Operating System

iPad/iPhone: iOS 4 or later
UTRADE Mobile on iPhone and iPad is available in the iTunes App Store as UTRADE HK Mobile
Android: Androids version 2.3 or later
UTRADE Mobile is available in Google Play as UTRADE HK Mobile